const std = @import("std");
const SDL = @import("sdl2");

const Self = @This();

free: bool,
color: SDL.SDL_Color,

pub fn init() Self {
    return Self{
        .free = true,
        .color = SDL.SDL_Color{
            .r = 0x00,
            .g = 0x00,
            .b = 0x00,
            .a = 0xFF,
        },
    };
}
